<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package SantaMas
 */

?>

	</div><!-- #content -->

	<footer id="colophon" class="site-footer">
		<div class="santamas-container">
			<div class="top-footer">
				<div class="footer-logo">
					<?php 
					$footer_logo = get_theme_mod('santamas_footer_logo');
					if( $footer_logo ){
						echo '<img src="'. esc_url($footer_logo) .'"/>';
					}
					?>
				</div>
				
				<div class="footer-menu">
					<?php
						wp_nav_menu( array(
							'theme_location' => 'santamas-footer-menu',
							'menu_class'        => 'footer-menu',
							'fallback_cb'    => false,
							'depth' => -1
						) );
					?>
				</div>
			</div>
			
			<div class="bottom-footer clearfix">
			<div class="site-info">
				<?php
					printf( esc_html__( 'WordPress Theme: %1$s by %2$s', 'santamas' ), 'SantaMas', '<a href="https://hashthemes.com">HashThemes</a>' );
				?>
			</div><!-- .site-info -->
			
			<div class="site-social-buttons">
				<?php santamas_social_icons(); ?>
			</div>
			</div>
		</div>
	</footer><!-- #colophon -->
</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>
