<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package SantaMas
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="page" class="site">

	<header id="masthead" class="site-header">
		<div class="santamas-container santamas-flex">
			<div class="site-branding">
				<?php
				if( has_custom_logo() ){
					the_custom_logo();
				}else{
					if ( is_front_page() && is_home() ) : ?>
						<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
					<?php else : ?>
						<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
					<?php
					endif;
				
					$description = get_bloginfo( 'description', 'display' );
					if ( $description || is_customize_preview() ) : ?>
						<p class="site-description"><?php echo esc_html($description); /* WPCS: xss ok. */ ?></p>
					<?php
					endif; 
				} ?>
			</div><!-- .site-branding -->

			<nav id="site-navigation" class="main-navigation">
				<div class="toggle-menu"><i class="fa  fa-bars  hamburger"></i><?php esc_html_e( 'Menu', 'santamas' ); ?></div>
				<?php
					wp_nav_menu( array(
						'theme_location' => 'santamas-main-menu',
						'menu_class'        => 'primary-menu',
						'fallback_cb'    => false
					) );
				?>
			</nav><!-- #site-navigation -->
		</div>
	</header><!-- #masthead -->
	<?php 
	$site_class = '';
	if( !is_page_template('template-home.php') ){
		$site_class = 'santamas-container';
		echo '<div class="header-banner"></div>';
	}
	?>
	<div id="content" class="site-content clearfix <?php echo esc_attr($site_class); ?>">

