<?php
/**
 * Class to create a custom date picker
 */
class Santamas_Date_Picker_Custom_Control extends WP_Customize_Control
{
    /**
    * Enqueue the styles and scripts
    */
    public function enqueue()
    {
        wp_enqueue_style( 'jquery-ui-datepicker' );
    }

    /**
    * Render the content on the theme customizer page
    */
    public function render_content()
    {

        ?>
            <label>
                <?php // Output the label and description if they were passed in.
                if ( isset( $this->label ) && '' !== $this->label ) {
                    echo '<span class="customize-control-title">' . esc_html( $this->label ) . '</span>';
                }
                if ( isset( $this->description ) && '' !== $this->description ) {
                    echo '<span class="description customize-control-description">' . esc_html( $this->description ) . '</span>';
                } ?>
                    
                <input type="date" id="<?php echo esc_attr($this->id); ?>" value="<?php echo esc_attr( $this->value() ); ?>" class="datepicker" <?php $this->link(); ?>  />
            </label>
        <?php
    }
}
?>