<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package SantaMasMas
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class('blog-hentry'); ?>>
	<?php
		if( has_post_thumbnail() ){
			$image = wp_get_attachment_image_src( get_post_thumbnail_id(), 'santamas-blog-banner' );
			echo '<a href="'. esc_url(get_the_permalink()) .'">';
			echo '<div class="entry-banner">';
			echo '<img src="'. esc_url($image[0]) .'" alt="'. esc_attr( get_the_title() ) .'"/>';
			echo '</a>';
			echo '</div>';
		}
	?>

	<div class="entry-wrapper">
		<header class="entry-header">
			<?php
				the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
			?>
		</header><!-- .entry-header -->

		<div class="entry-content">
			<?php
				echo wp_trim_words( get_the_content(), '100', '...' );
			?>
		</div><!-- .entry-content -->

		<footer class="entry-footer">
			<div class="entry-readmore">
				<a href="<?php the_permalink(); ?>"><?php esc_html_e( 'Read More', 'santamas' )?></a>
			</div>

			<div class="entry-meta clearfix">
				<div class="">
					<?php santamas_posted_on(); ?>
				</div><!-- .entry-meta -->
				<?php santamas_entry_footer(); ?>
			</div>
		</footer><!-- .entry-footer -->
	</div>
</article><!-- #post-<?php the_ID(); ?> -->
